driver/hardware probe for grsecurity compatibility

Discuss and suggest new grsecurity features

Moderators: spender, PaX Team

driver/hardware probe for grsecurity compatibility

Postby cormander » Thu May 12, 2011 12:27 am

It would be nice to have a tool that is used to probe a running system before you make the switch to grsecurity, that will warn of possible problems that your hardware may present.

For example, I had to turn off PAX_USERCOPY in order for my fglrx module (ATI video card) to work on my Dell where I work. Also, I'm having a problem with the nouveau and NVIDIA drivers on my home PC that I haven't yet narrowed down. And finally, if X or other DM is running, issue a warning that CONFIG_GRKERNSEC_IO needs to be off for kernels not compiled with CONFIG_GRKERNSEC_SYSCTL_DISTRO=y.

I'm sure that there are other common problems out there, and a wiki for those problems is great, but a tool to show only what may be relivant to you, before you head down the grsecurity rabbit hole, would save a lot of head-ache.

Anyone agree?
cormander
 
Posts: 154
Joined: Tue Jan 29, 2008 12:51 pm
Location: Utah

Return to grsecurity development

cron